%define module  HTTP-Server-Simple
%define name	perl-%{module}
%define version 0.34
%define rel 1

Name: 		%{name}
Version: 	%{version}
Release:	%mkrel %{rel} 
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl module to write simple standalone http daemons
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/HTTP/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(CGI) perl(URI::Escape)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is a simple standalone http dameon. It doesn't thread. It doesn't
fork. It does, however, act as a simple frontend which can turn a CGI into a
standalone web-based application.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ex README Changes
%{perl_vendorlib}/HTTP
%{_mandir}/man3/*



%changelog
* Thu Jun 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2009.0
+ Revision: 218341
- update to new version 0.34
- update to new version 0.33

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2009.0
+ Revision: 193847
- update to new version 0.31

* Sat Feb 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2008.1
+ Revision: 169259
- update to new version 0.29

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2008.1
+ Revision: 153979
- update to new version 0.28

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 0.27-1mdv2008.0
+ Revision: 19960
- fix missing BuildRequires
- update to 0.27


* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2007.0
- New version 0.20
- cleanup

* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.18-1mdk
- 0.18

* Wed Feb 01 2006 Michael Scherer <misc@mandriva.org> 0.17-1mdk
- New release 0.17

* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.16-2mdk
- Do not ship empty dir

* Tue Nov 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- 0.16

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.15-2mdk
- Fix BuildRequires

* Sat Oct 08 2005 Michael Scherer <misc@mandriva.org> 0.15-1mdk
- New release 0.15

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 0.13-1mdk
- First mandriva package

